--- old/usr/src/cmd/sa/Makefile	2013-09-13 11:16:20.026134637 +0100
+++ new/usr/src/cmd/sa/Makefile	2013-09-13 11:16:20.032281409 +0100
@@ -21,6 +21,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
 # cmd/sa/Makefile
 #
@@ -78,12 +79,10 @@
 ROOTSYMLINKS=	$(SBINPROG:%=$(ROOTBIN)/%)
 
 # Performance monitoring should not be enabled by default. Hence, these
-# entries are comments. Note the difficulty of inserting a literal #
-# in a makefile.... Wonderful parser here....
-COMMENT_CHAR:sh=          echo \\043
-ENTRY1=		'$(COMMENT_CHAR) 0 * * * 0-6 /usr/lib/sa/sa1'
-ENTRY2=		'$(COMMENT_CHAR) 20,40 8-17 * * 1-5 /usr/lib/sa/sa1'
-ENTRY3=		'$(COMMENT_CHAR) 5 18 * * 1-5 /usr/lib/sa/sa2 -s 8:00 -e 18:01 -i 1200 -A'
+# entries are comments.
+ENTRY1=		'$(POUND_SIGN) 0 * * * 0-6 /usr/lib/sa/sa1'
+ENTRY2=		'$(POUND_SIGN) 20,40 8-17 * * 1-5 /usr/lib/sa/sa1'
+ENTRY3=		'$(POUND_SIGN) 5 18 * * 1-5 /usr/lib/sa/sa2 -s 8:00 -e 18:01 -i 1200 -A'
 
 CLOBBERFILES=	$(PROGS) $(SHELLS)
 
--- old/usr/src/uts/Makefile.uts	2013-09-13 11:16:20.205885562 +0100
+++ new/usr/src/uts/Makefile.uts	2013-09-13 11:16:20.210121808 +0100
@@ -23,6 +23,7 @@
 # Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2011 Bayard G. Bell. All rights reserved.
 # Copyright (c) 2011 by Delphix. All rights reserved.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
 
 #
@@ -669,10 +670,8 @@
 #	kernel which actually gets shipped to customers.  In practice,
 #	$(RELEASE_BUILD) is on for a number of the late beta and fcs builds.
 #
-CODE_COVERAGE=
-$(RELEASE_BUILD)CODE_COVERAGE:sh=	echo \\043
-$(CODE_COVERAGE)$(OBJS_DIR)/unix_bb.o   := CPPFLAGS     += -DKCOV
-$(CODE_COVERAGE)$(OBJS_DIR)/unix_bb.ln  := CPPFLAGS     += -DKCOV
+$(NOT_RELEASE_BUILD)$(OBJS_DIR)/unix_bb.o   := CPPFLAGS     += -DKCOV
+$(NOT_RELEASE_BUILD)$(OBJS_DIR)/unix_bb.ln  := CPPFLAGS     += -DKCOV
 
 #
 #	Do not let unix_bb.o get compiled with -xa!
--- old/usr/src/uts/i86pc/Makefile.i86pc.shared	2013-09-13 11:16:20.397683765 +0100
+++ new/usr/src/uts/i86pc/Makefile.i86pc.shared	2013-09-13 11:16:20.401922216 +0100
@@ -23,6 +23,7 @@
 # uts/i86pc/Makefile.i86pc
 #
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
 #
 #	This makefile contains the common definitions for the i86pc unix
@@ -185,9 +186,9 @@
 DEBUG_DEFS_DBG64	= -DDEBUG
 DEBUG_DEFS		= $(DEBUG_DEFS_$(BUILD_TYPE))
 
-DEBUG_COND_OBJ32	:sh = echo \\043
+DEBUG_COND_OBJ32	= $(POUND_SIGN)
 DEBUG_COND_DBG32	=
-DEBUG_COND_OBJ64	:sh = echo \\043
+DEBUG_COND_OBJ64	= $(POUND_SIGN)
 DEBUG_COND_DBG64	=
 IF_DEBUG_OBJ		= $(DEBUG_COND_$(BUILD_TYPE))$(OBJS_DIR)/
 
--- old/usr/src/uts/i86xpv/Makefile.i86xpv.shared	2013-09-13 11:16:20.580095613 +0100
+++ new/usr/src/uts/i86xpv/Makefile.i86xpv.shared	2013-09-13 11:16:20.586367352 +0100
@@ -24,6 +24,7 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
 
 #
@@ -177,9 +178,9 @@
 DEBUG_DEFS_DBG64	= -DDEBUG
 DEBUG_DEFS		= $(DEBUG_DEFS_$(BUILD_TYPE))
 
-DEBUG_COND_OBJ32	:sh = echo \\043
+DEBUG_COND_OBJ32	= $(POUND_SIGN)
 DEBUG_COND_DBG32	=
-DEBUG_COND_OBJ64	:sh = echo \\043
+DEBUG_COND_OBJ64	= $(POUND_SIGN)
 DEBUG_COND_DBG64	=
 IF_DEBUG_OBJ		= $(DEBUG_COND_$(BUILD_TYPE))$(OBJS_DIR)/
 
--- old/usr/src/uts/intel/Makefile.intel.shared	2013-09-13 11:16:20.773364822 +0100
+++ new/usr/src/uts/intel/Makefile.intel.shared	2013-09-13 11:16:20.777604975 +0100
@@ -20,6 +20,7 @@
 
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 
 #
 #	This makefile contains the common definitions for all intel
@@ -151,9 +152,9 @@
 DEBUG_DEFS_DBG64	= -DDEBUG
 DEBUG_DEFS		= $(DEBUG_DEFS_$(BUILD_TYPE))
 
-DEBUG_COND_OBJ32	:sh = echo \\043
+DEBUG_COND_OBJ32	= $(POUND_SIGN)
 DEBUG_COND_DBG32	=
-DEBUG_COND_OBJ64	:sh = echo \\043
+DEBUG_COND_OBJ64	= $(POUND_SIGN)
 DEBUG_COND_DBG64	=
 IF_DEBUG_OBJ		= $(DEBUG_COND_$(BUILD_TYPE))$(OBJS_DIR)/
 
--- old/usr/src/uts/sparc/Makefile.sparc.shared	2013-09-13 11:16:20.953366458 +0100
+++ new/usr/src/uts/sparc/Makefile.sparc.shared	2013-09-13 11:16:20.968124040 +0100
@@ -20,6 +20,7 @@
 #
 
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 
 
 #
@@ -178,9 +179,9 @@
 DEBUG_DEFS_DBG64	= -DDEBUG
 DEBUG_DEFS		= $(DEBUG_DEFS_$(BUILD_TYPE))
 
-DEBUG_COND_OBJ32	:sh = echo \\043
+DEBUG_COND_OBJ32	= $(POUND_SIGN)
 DEBUG_COND_DBG32	=
-DEBUG_COND_OBJ64	:sh = echo \\043
+DEBUG_COND_OBJ64	= $(POUND_SIGN)
 DEBUG_COND_DBG64	=
 IF_DEBUG_OBJ		= $(DEBUG_COND_$(BUILD_TYPE))$(OBJS_DIR)/
 
--- old/usr/src/uts/sun4u/Makefile.sun4u.shared	2013-09-13 11:16:21.139110072 +0100
+++ new/usr/src/uts/sun4u/Makefile.sun4u.shared	2013-09-13 11:16:21.143547772 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
 #	This makefile contains the common definitions for the sun4u unix
 #	and all sun4u implementation architecture dependent modules.
@@ -273,7 +274,7 @@
 DEBUG_DEFS_DBG64	= -DDEBUG
 DEBUG_DEFS		= $(DEBUG_DEFS_$(BUILD_TYPE))
 
-DEBUG_COND_OBJ64	:sh = echo \\043
+DEBUG_COND_OBJ64	= $(POUND_SIGN)
 DEBUG_COND_DBG64	= 
 IF_DEBUG_OBJ		= $(DEBUG_COND_$(BUILD_TYPE))$(OBJS_DIR)/
 
--- old/usr/src/uts/sun4v/Makefile.sun4v.shared	2013-09-13 11:16:21.312307013 +0100
+++ new/usr/src/uts/sun4v/Makefile.sun4v.shared	2013-09-13 11:16:21.316870532 +0100
@@ -22,6 +22,7 @@
 #
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
 #	This makefile contains the common definitions for the sun4v unix
 #	and all sun4v implementation architecture dependent modules.
@@ -250,7 +251,7 @@
 DEBUG_DEFS_DBG64	= -DDEBUG
 DEBUG_DEFS		= $(DEBUG_DEFS_$(BUILD_TYPE))
 
-DEBUG_COND_OBJ64	:sh = echo \\043
+DEBUG_COND_OBJ64	= $(POUND_SIGN)
 DEBUG_COND_DBG64	=
 IF_DEBUG_OBJ		= $(DEBUG_COND_$(BUILD_TYPE))$(OBJS_DIR)/
 
